Distributed Control & Automation Framework (DCAF)

cancel
Showing results for 
Search instead for 
Did you mean: 

DCAF Table API - auto conflict

Solved!
Go to solution

Dear all,

 

I'm absolutely new to the DCAF framework. I've just installed it.
In order to evaluate it:

 

  1. I've read some documentation
  2. I've seen all the videos on the youtube channel (https://www.youtube.com/channel/UC45YcLDzXQ3dGi6GwfRdHtg)
  3. I've completed the Hands On material

My question is probably silly, but I can't Install the "DCAF Table API" using the VIPM.

When I try to install it I got the "auto-conflict" status in the VIPM:VIPM - Table API.png

 

VIPM - Table API - auto-conflict.png

 

If I try to install it (so I press the Continue button on VIPM) VIPM removes the "DCAF Core v1.3.0.12).

 

All samples and code I wrote seems to work correctly even if the "Table API" is not installed.

Sometimes when I open a DCAF projet I got the following Warning:

LabVIEW Warning.png

but again the code seems to work correctly and I'm also able to generate the exe file (tested on Windows only).

 

Some ideas?

Do I need the table API?

 

Paolo.

 

0 Kudos
Message 1 of 2
(1,621 Views)
Solution
Accepted by topic author Paolo_Squillari

Hi Paolo_Squillari, 

   You don't need the Table API package, all the VIs are already part of the core. We keep that package there for legacy purpose, other packages have marked it as not being compatible and that is why you cant install it.

Best Regards

 

Benjamin C
Principal Systems Engineer // CLA // CLED
Message 2 of 2
(1,617 Views)